import styled from "@emotion/styled"
import { css } from '@emotion/react'

export const StyledLink = styled.a`
  font-weight: 400;
  text-decoration: underline;
  text-decoration-skip-ink: none;
  color: ${(props: any) => props.contrast ? 'var(--text-contrast)' : 'var(--dark-link)'};

  ${props => {
    if (props.contrast) {
     return css`
       &:hover {
         color: var(--dark-link);
       }
     `
   }
  }}
`;
